summaryrefslogtreecommitdiff
path: root/debian/tests/python-upstream.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/python-upstream.sh')
-rwxr-xr-xdebian/tests/python-upstream.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/debian/tests/python-upstream.sh b/debian/tests/python-upstream.sh
new file mode 100755
index 00000000..e292ab76
--- /dev/null
+++ b/debian/tests/python-upstream.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+
+for py3ver in $(py3versions -vs)
+do
+ echo "Running tests with Python ${py3ver}."
+ /usr/bin/python${py3ver} -B debian/tests/python-upstream.py
+done